MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000981VCMIMechanics - Adventure Mappublic2012-05-26 19:362016-01-27 20:58
ReporterIvan 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSUbuntu LinuxOS Version12.04 (precise)
Product Version 
Target VersionFixed in Version0.98g 
Summary0000981: Retreating from battle resets hero mana points
Description1) Attack somebody, cast spell and retreat.
2) Buy hero back from tavern
He will have mana points reset to his normal maximum (Knowledge * 10)

Instead mana points should not change at all with keeping bonuses if any (like mana whirpool in dungeon)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000599closedWarmonger Again wrong mana amount on start a map is given for heroes with Intelligence or if art-as-bonus gives knowledge 
related to 0000980closedTow Retreating hero loses spellbook 
child of 0001344resolvedvmarkovtsev After retreating from battle hero in tavern will have full move points and mana 

-  Notes
(0002914)
randomed (reporter)
2012-08-18 19:02
edited on: 2012-08-19 21:51

I've tested this, and if you look closely, he still has the same mana points when he is in the tavern (check with right click on hero). It's when you hire him that he gets his mana points restored to max (or normal?).

I've gone through the hire operations, but I cannot seem to find the ones that are causing to reset the mana points.

(0006365)
vmarkovtsev (developer)
2016-01-26 19:32

https://github.com/vcmi/vcmi/pull/173 [^]

- Issue History
Date Modified Username Field Change
2012-05-26 19:36 Ivan New Issue
2012-05-27 15:01 Warmonger Relationship added related to 0000980
2012-05-27 18:12 Tow Relationship added related to 0000599
2012-08-18 19:02 randomed Note Added: 0002914
2012-08-18 19:12 randomed Note Edited: 0002914 View Revisions
2012-08-19 21:51 randomed Note Edited: 0002914 View Revisions
2013-07-18 14:39 Warmonger Relationship added child of 0001344
2014-09-02 09:56 Warmonger Category Mechanics - Other => Mechanics - Adventure Map
2016-01-26 16:22 vmarkovtsev Assigned To => vmarkovtsev
2016-01-26 16:22 vmarkovtsev Status new => assigned
2016-01-26 19:32 vmarkovtsev Note Added: 0006365
2016-01-27 20:58 SXX Status assigned => resolved
2016-01-27 20:58 SXX Fixed in Version => 0.98g
2016-01-27 20:58 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean